# Ogre::GpuLogicalBufferStruct Struct Reference

Container struct to allow params to safely & update shared list of logical buffer assignments. More...

`#include <OgreGpuProgram.h>`

List of all members.

## Public Member Functions

| GpuLogicalBufferStruct ()

## Public Attributes

GpuLogicalIndexUseMap | map
| Map from logical index to physical buffer location.
size_t | bufferSize
| Shortcut to know the buffer size needs.

## Detailed Description

Container struct to allow params to safely & update shared list of logical buffer assignments.

Definition at line 228 of file OgreGpuProgram.h.

## Constructor & Destructor Documentation

Ogre::GpuLogicalBufferStruct::GpuLogicalBufferStruct | ( |  | ) |

| Definition at line 235 of file OgreGpuProgram.h.

## Member Data Documentation

size_t Ogre::GpuLogicalBufferStruct::bufferSize

| Shortcut to know the buffer size needs. Definition at line 234 of file OgreGpuProgram.h.

GpuLogicalIndexUseMap Ogre::GpuLogicalBufferStruct::map

| Map from logical index to physical buffer location. Definition at line 232 of file OgreGpuProgram.h.

The documentation for this struct was generated from the following file:

- OgreGpuProgram.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 13:48:02 2009